body {
  font-family: "Montserrat", sans-serif;
  font-weight: 400;
}

.container {
  max-width: 1130px;
  padding: 0 15px;
  margin: 0 auto;
}

.body__wrapper {
  width: 100%;
  position: relative;
  overflow-x: hidden;
  min-height: 100%;
  display: flex;
  flex-direction: column;
}

.main {
  flex: 1 1 auto;
}

.title {
  font-weight: 600;
  font-size: 40px;
  color: #000;
}

@media (max-width: 993px) {
  .title {
    font-size: 30px;
  }
}

@media (max-width: 768px) {
  .title {
    font-size: 25px;
  }
}

@media (max-width: 577px) {
  .title {
    font-size: 23px;
  }
}

.header {
  background: url(../images/header/header-bg.jpg) center/cover no-repeat;
}

.header__container {
  max-width: 1440px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  min-height: 155px;
}

@media (max-width: 768px) {
  .header__container {
    min-height: 100px;
  }
}

.header__logo {
  flex: 0 0 120px;
}

.header__logo img {
  max-width: 200%;
  height: auto;
}

@media (max-width: 768px) {
  .header__logo {
    flex: 0 0 80px;
  }
}

.header__burger {
  display: none;
}

@media (max-width: 993px) {
  .header__burger {
    cursor: pointer;
    display: flex;
    flex-direction: column;
    position: relative;
    width: 40px;
    height: 40px;
    z-index: 2;
    order: 4;
  }

  .header__burger span {
    display: block;
    position: absolute;
    width: 30px;
    height: 3px;
    left: 5px;
    top: 50%;
    background: #fff;
    transition:
      opacity 0.25s,
      transform 0.25s;
  }

  .header__burger span:nth-child(1) {
    transform: translateY(-10px);
  }

  .header__burger span:nth-child(2) {
    opacity: 1;
  }

  .header__burger span:nth-child(3) {
    transform: translateY(10px);
  }

  .header__burger.active span {
    background: #fff;
  }

  .header__burger.active span:nth-child(1) {
    transform: translateY(0px) rotate(-45deg);
  }

  .header__burger.active span:nth-child(2) {
    opacity: 0;
  }

  .header__burger.active span:nth-child(3) {
    transform: translateY(0px) rotate(45deg);
  }
}

.header__login {
  font-weight: 600;
  font-size: 24px;
  color: #fff;
  padding: 5px 10px;
  border: 2px solid #fff;
  transition: all 0.3s ease 0s;
}

.header__login:hover {
  transition: all 0.3s ease 0s;
  color: #f6e441;
  border: 2px solid #f6e441;
}

@media (max-width: 768px) {
  .header__login {
    font-size: 20px;
  }
}

@media (max-width: 577px) {
  .header__login {
    font-size: 15px;
  }
}

@media (max-width: 993px) {
  .header__login-pc {
    display: none;
  }
}

.header__login-mobile {
  display: none;
}

@media (max-width: 993px) {
  .header__login-mobile {
    display: block;
    order: 3;
  }
}

.menu-header {
  display: flex;
  align-items: center;
  gap: 65px;
}

@media (max-width: 993px) {
  .menu-header {
    flex-direction: column;
    align-items: flex-start;
    gap: 30px;
    position: absolute;
    top: 0;
    right: -350px;
    width: 350px;
    background: #a7c5ff;
    z-index: 2;
    visibility: hidden;
    padding: 65px 20px 30px 20px;
    border-radius: 10px 0 0 10px;
    transition:
      transform 0.4s,
      visibility 0.4s;
  }

  .menu-header.active {
    transform: translateX(-100%);
    visibility: visible;
  }
}

@media (max-width: 768px) {
  .menu-header {
    width: 250px;
    right: -250px;
    padding: 42px 20px 30px 20px;
  }
}

@media (max-width: 577px) {
  .menu-header {
    width: 180px;
    right: -180px;
  }
}

.menu-header__list {
  display: flex;
  align-items: center;
  gap: 65px;
}

@media (max-width: 1200px) {
  .menu-header__list {
    gap: 40px;
  }
}

@media (max-width: 993px) {
  .menu-header__list {
    flex-direction: column;
    align-items: flex-start;
    gap: 30px;
    order: 2;
  }
}

@media (max-width: 577px) {
  .menu-header__list {
    gap: 20px;
  }
}

.menu-header__list li {
  font-weight: 500;
  font-size: 24px;
}

@media (max-width: 1200px) {
  .menu-header__list li {
    font-size: 18px;
    font-weight: 400;
  }
}

@media (max-width: 577px) {
  .menu-header__list li {
    font-size: 15px;
  }
}

.menu-header__list a {
  color: #fff;
  transition: all 0.3s ease 0s;
}

.menu-header__list a:hover {
  transition: all 0.3s ease 0s;
  color: #f6e441;
}

.menu-header__search {
  position: relative;
  display: flex;
  align-items: center;
  cursor: pointer;
}

@media (max-width: 993px) {
  .menu-header__search {
    order: 1;
    flex-direction: column;
    align-items: flex-start;
    gap: 8px;
  }
}

.menu-header__search--icon {
  font-size: 24px;
  color: #fff;
}

.menu-header__search--input {
  opacity: 0;
  visibility: hidden;
  position: absolute;
  right: 0;
  bottom: -50px;
  border: 1px solid #fff;
  border-radius: 5px;
  width: 270px;
  height: 40px;
  font-weight: 400;
  font-size: 16px;
  padding: 5px 10px;
  background: transparent;
  color: #fff;
  transition: all 0.3s ease 0s;
}



.menu-header__search--input.active {
  opacity: 1;
  visibility: visible;
  transition: all 0.3s ease 0s;
}

@media (max-width: 993px) {
  .menu-header__search--input {
    position: static;
  }
}

@media (max-width: 768px) {
  .menu-header__search--input {
    width: 100%;
    font-size: 14px;
  }
}

.footer {
  background: url(../images/footer/footer-bg.jpg) center/cover no-repeat;
}

.footer__container {
  max-width: 1190px;
}

.footer__body {

  display: flex;
  align-items: center;
  justify-content: space-between;
  padding-top: 75px;
}

@media (max-width: 993px) {
  .footer__body {
    flex-direction: column;
    align-items: flex-start;
    gap: 50px;
  }
}

.footer__menu {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.footer__menu li {
  font-weight: 500;
  font-size: 20px;
}

.footer__menu a {
  color: #fff;
  transition: all 0.3s ease 0s;
}

.footer__menu a:hover {
  color: #f6e441;
  transition: all 0.3s ease 0s;
}

.footer__logo {
  flex: 0 0 120px;
}

@media (max-width: 993px) {
  .footer__logo-pc {
    display: none;
  }
}

.footer__logo-mobile {
  display: none;
}

@media (max-width: 993px) {
  .footer__logo-mobile {
    display: flex;
    justify-content: center;
    margin-top: 45px;
  }
}

.footer__info {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.footer__copyright {
  font-weight: 500;
  font-size: 16px;
  line-height: 20px;
  color: #fff;
  margin: 70px 0px 25px 0px;
  text-align: center;
}

@media (max-width: 993px) {
  .footer__copyright {
    margin: 30px 0px 25px 0px;
  }
}

@media (max-width: 577px) {
  .footer__copyright {
    font-size: 14px;
    line-height: 18px;
  }
}

.info-footer__item {
  display: flex;
  align-items: center;
  gap: 10px;
}

.info-footer__item a {
  font-weight: 400;
  font-size: 20px;
  color: #fff;
}

.info-footer__item a:hover {
  text-decoration: underline;
}

.breadcrumbs {
  margin: 20px auto 12px auto;
  display: flex;
  align-items: center;
}

.breadcrumbs__item {
  font-weight: 400;
  font-size: 24px;
  color: #000;
}

.breadcrumbs__item:not(:last-child) {
  margin-right: 8px;
}

@media (max-width: 993px) {
  .breadcrumbs__item {
    font-size: 20px;
  }
}

@media (max-width: 768px) {
  .breadcrumbs__item {
    font-size: 17px;
  }
}

@media (max-width: 577px) {
  .breadcrumbs__item {
    font-size: 15px;
  }
}

.breadcrumbs span {
  font-weight: 400;
  font-size: 24px;
  color: #000;
}

.breadcrumbs span:not(:last-child) {
  margin-right: 8px;
}

@media (max-width: 993px) {
  .breadcrumbs span {
    font-size: 20px;
  }
}

@media (max-width: 768px) {
  .breadcrumbs span {
    font-size: 17px;
  }
}

@media (max-width: 577px) {
  .breadcrumbs span {
    font-size: 15px;
  }
}

.profession__body {
  display: flex;
  align-items: stretch;
  justify-content: flex-start;
  gap: 20px 54px;
  flex-wrap: wrap;
  margin: 20px 0 42px 0;
}

@media (max-width: 993px) {
  .profession__body {
    gap: 20px;
  }
}

.profession__item {
  border: 2px solid #949bae;
  font-weight: 400;
  font-size: 16px;
  color: #434343;
  padding: 12px;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  flex: 0 1 calc(33.333% - 36px);
  background: #fff;
  transition: all 0.3s ease 0s;
}

.profession__item:hover {
  background: #f3f3f3;
  transition: all 0.3s ease 0s;
}

@media (max-width: 993px) {
  .profession__item {
    flex: 0 1 calc(50% - 20px);
  }
}

@media (max-width: 768px) {
  .profession__item {
    flex: 0 1 100%;
  }
}

.popular {
  padding-bottom: 30px;
}

.popular__title {
  font-weight: 600;
  font-size: 32px;
  color: #000;
  margin-bottom: 25px;
  text-align: center;
}

.popular__pagination {
  display: flex;
  align-items: center;
  justify-content: center;
}

.popular__pagination span {
  border: 1px solid #000;
  background: #fff;
}

.popular__pagination span.swiper-pagination-bullet-active {
  border: 1px solid #000;
  background: #a7c5ff;
}

.popular__slider {
  margin-top: 35px;
  min-height: 500px;
  display: flex !important;
  align-items: center;
}

@media (max-width: 993px) {
  .popular__slider {
    min-height: auto;
  }
}

.swiper-slide .slide-popular__info {
  transform: scale(1);
  transition: all 0.3s ease 0s;
}

.swiper-slide-active .slide-popular__info {
  transform: scale(1.2);
  transition: all 0.3s ease 0s;
}

@media (max-width: 993px) {
  .swiper-slide-active .slide-popular__info {
    transform: scale(1);
  }
}

.slide-popular__image img {
  width: 100%;
  height: 100%;
}

@media (max-width: 577px) {
  .slide-popular__image {
    display: flex;
    justify-content: center;
  }

  .slide-popular__image img {
    width: auto;
  }
}

.slide-popular__content {
  margin-top: 10px;
  display: flex;
  flex-direction: column;
  gap: 10px;
}

@media (max-width: 577px) {
  .slide-popular__content {
    align-items: center;
  }
}

.slide-popular__author {
  font-weight: 400;
  font-size: 10px;
  color: #000;
}

@media (max-width: 993px) {
  .slide-popular__author {
    font-size: 14px;
  }
}

@media (max-width: 768px) {
  .slide-popular__author {
    font-size: 10px;
  }
}

@media (max-width: 577px) {
  .slide-popular__author {
    text-align: center;
  }
}

.slide-popular__name {
  font-weight: 400;
  font-size: 11px;
  line-height: 130%;
  color: #000;
  text-transform: capitalize;
}

@media (max-width: 993px) {
  .slide-popular__name {
    font-size: 16px;
  }
}

@media (max-width: 768px) {
  .slide-popular__name {
    font-size: 11px;
  }
}

@media (max-width: 577px) {
  .slide-popular__name {
    text-align: center;
  }
}

.account {
  padding-bottom: 100px;
}

@media (max-width: 993px) {
  .account {
    padding-bottom: 70px;
  }
}

@media (max-width: 768px) {
  .account {
    padding-bottom: 50px;
  }
}

.account__body {
  margin-top: 20px;
  max-width: 850px;
  display: flex;
  flex-wrap: wrap;
  align-items: stretch;
  gap: 20px;
}

.account__item {
  padding: 20px;
  background: #a7c5ff;
  display: flex;
  flex-direction: column;
  border-radius: 20px;
  flex: 0 1 calc(50% - 20px);
}

@media (max-width: 768px) {
  .account__item {
    flex: 0 1 100%;
  }
}

.item-account__title {
  font-family: Inter;
  font-weight: 400;
  font-size: 22px;
  color: #000;
  margin-bottom: 20px;
}

@media (max-width: 577px) {
  .item-account__title {
    margin-bottom: 10px;
  }
}

.item-account__top {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
}

@media (max-width: 577px) {
  .item-account__top {
    flex-direction: column;
    margin-bottom: 20px;
  }
}

.item-account__change {
  font-family: Inter;
  font-weight: 400;
  font-size: 14px;
  color: #3f75ff;
  line-height: 2;
}

.item-account__change:hover {
  text-decoration: underline;
}

.item-account__field {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 6px;
}

.item-account__field:not(:last-child) {
  margin-bottom: 13px;
}

.item-account__field span {
  font-family: Inter;
  font-weight: 400;
  font-size: 16px;
  color: rgba(0, 0, 0, 0.7);
}

.item-account__field input {
  border: 1px solid #fff;
  border-radius: 5px;
  width: 270px;
  height: 40px;
  font-weight: 400;
  font-size: 16px;
  padding: 5px 10px;
  background: transparent;
}

@media (max-width: 577px) {
  .item-account__field input {
    width: 100%;
  }
}

.item-account__input {
  position: relative;
}

.item-account__field--icon {
  cursor: pointer;
  position: absolute;
  right: 10px;
  top: 50%;
  transform: translateY(-50%);
  width: 22px;
  height: 22px;
  font-size: 22px;
  color: #fff;
}

.item-account__buttons {
  margin-top: auto;
  display: flex;
  align-items: center;
  gap: 15px;
}

.item-account__save {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  padding: 10px;
  border-radius: 34px;
  font-weight: 400;
  font-size: 16px;
  color: #000;
  font-family: Inter;
  min-width: 170px;
  min-height: 40px;
  background: #fff;
  transition: all 0.3s ease 0s;
}

.item-account__save:hover {
  background: #e8e8e8;
  transition: all 0.3s ease 0s;
}

.item-account__reset {
  font-family: Inter;
  font-weight: 400;
  font-size: 16px;
  color: rgba(138, 138, 138, 0.7);
  background: transparent;
  transition: all 0.3s ease 0s;
}

.item-account__reset:hover {
  color: rgba(68, 68, 68, 0.7);
  transition: all 0.3s ease 0s;
}

.item-fill {
  min-height: 200px;
}

.item-fill__field {
  display: flex;
  align-items: center;
  gap: 10px;
}

.item-fill__field:not(:last-child) {
  margin-bottom: 18px;
}

.item-fill__item {
  font-family: Inter;
  min-width: 75px;
  font-weight: 400;
  font-size: 16px;
  color: rgba(0, 0, 0, 0.7);
}

.item-fill__item span {
  font-family: Inter;
  font-weight: 400;
  font-size: 16px;
  color: #000;
}

.contacts {
  padding-bottom: 120px;
}

@media (max-width: 993px) {
  .contacts {
    padding-bottom: 70px;
  }
}

@media (max-width: 768px) {
  .contacts {
    padding-bottom: 50px;
  }
}

.contacts__body {
  margin-top: 50px;
  display: flex;
  flex-direction: column;
  gap: 60px;
}

@media (max-width: 577px) {
  .contacts__body {
    gap: 40px;
  }
}

.contacts__item {
  display: flex;
  align-items: flex-start;
  gap: 90px;
}

@media (max-width: 577px) {
  .contacts__item {
    justify-content: space-between;
    gap: 20px;
  }
}

.item-contacts__type {
  font-weight: 400;
  font-size: 20px;
  color: #727272;
  line-height: 200%;
  min-width: 95px;
}

@media (max-width: 577px) {
  .item-contacts__type {
    font-size: 17px;
  }
}

.item-contacts__info {
  font-weight: 400;
  font-size: 20px;
  color: #000;
  line-height: 200%;
}

@media (max-width: 577px) {
  .item-contacts__info {
    text-align: right;
    font-size: 17px;
  }
}

.item-contacts__info:hover {
  text-decoration: underline;
}

.item-contacts__info a {
  color: #000;
}

.about {
  padding-bottom: 80px;
}

@media (max-width: 768px) {
  .about {
    padding-bottom: 50px;
  }
}

.about__body {
  margin-top: 50px;
  display: flex;
  flex-direction: column;
  gap: 50px;
}

.about__section {
  display: flex;
  align-items: stretch;
  gap: 100px;
}

@media (max-width: 993px) {
  .about__section {
    flex-direction: column;
    align-items: center;
    gap: 30px;
  }
}

.about__info {
  display: flex;
  flex-direction: column;
  gap: 20px;
  font-weight: 400;
  font-size: 18px;
  color: #000;
  flex: 0 1 500px;
}

@media (max-width: 993px) {
  .about__info {
    flex: 0 1 auto;
    order: 2;
  }
}

@media (max-width: 768px) {
  .about__info {
    font-size: 17px;
    line-height: 130%;
  }
}

@media (max-width: 577px) {
  .about__info {
    font-size: 14px;
    line-height: 120%;
  }
}

.about__image {
  flex: 0 1 500px;
}

.about__image img {
  width: 100%;
  max-width: 500px;
  height: auto;
}

@media (max-width: 993px) {
  .about__image {
    flex: 0 1 auto;
    order: 1;
  }
}

.about__bottom {
  display: flex;
  flex-direction: column;
  gap: 30px;
}

.about__bottom--image {
  border-radius: 10px;
  display: flex;
  justify-content: center;
}

.about__bottom--image img {
  max-width: 800px;
  width: 100%;
  height: auto;
}

.about__bottom--info {
  font-weight: 400;
  font-size: 18px;
  color: #000;
  max-width: 650px;
  margin: 0 auto;
}

@media (max-width: 768px) {
  .about__bottom--info {
    font-size: 17px;
    line-height: 130%;
  }
}

@media (max-width: 577px) {
  .about__bottom--info {
    font-size: 15px;
    line-height: 120%;
  }
}

.books {
  padding-bottom: 80px;
}

@media (max-width: 768px) {
  .books {
    padding-bottom: 60px;
  }
}

.books__title {
  margin-bottom: 15px;
}

.books__specialization {
  font-size: 25px;
  line-height: 150%;
}

@media (max-width: 768px) {
  .books__specialization {
    font-size: 20px;
  }
}

@media (max-width: 577px) {
  .books__specialization {
    font-size: 16px;
  }
}

.books__body {
  margin-top: 25px;
  display: flex;
  align-items: stretch;
  justify-content: flex-start;
  gap: 25px;
  flex-wrap: wrap;
}

@media (max-width: 577px) {
  .books__body {
    gap: 50px;
  }
}

.books__item {
  flex: 0 1 calc(20% - 25px);
}

@media (max-width: 993px) {
  .books__item {
    flex: 0 1 calc(25% - 25px);
  }
}

@media (max-width: 768px) {
  .books__item {
    flex: 0 1 calc(33.333% - 25px);
  }
}

@media (max-width: 577px) {
  .books__item {
    flex: 0 1 calc(50% - 25px);
  }
}

@media (max-width: 450px) {
  .books__item {
    flex: 0 1 100%;
  }
}

.item-books {
  display: flex;
  flex-direction: column;
  gap: 10px;
  height: auto;
}

.item-books__image {
  position: relative;
  padding-bottom: 138%;
  box-shadow: 0px 0px 3px 0px rgb(29, 29, 29);
}

.item-books__image img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.item-books__content {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.item-books__author {
  font-weight: 400;
  font-size: 10px;
  color: #000;
  line-height: 13px;
}

.item-books__name {
  font-weight: 400;
  font-size: 14px;
  line-height: 16px;
  color: #000;
}

/*  */
.search-results {
  max-width: 800px;
  margin: 40px auto;
  padding: 20px;
  background: #ffffff;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  border-radius: 8px;
}

.search-results__title {
  font-size: 28px;
  color: #333;
  margin-bottom: 20px;
  text-align: center;
  border-bottom: 2px solid #0073e6;
  padding-bottom: 10px;
}

.result-item {
  padding: 20px;
  border-bottom: 1px solid #ddd;
  margin-bottom: 20px;
  border-radius: 8px;
  transition: background-color 0.3s ease;
}

.result-item:hover {
  background-color: #f9f9f9;
}

.result-item__title {
  font-size: 24px;
  color: #0073e6;
  margin: 0 0 10px;
}

.result-item__author,
.result-item__year,
.result-item__specialization,
.result-item__language {
  margin: 5px 0;
  font-size: 16px;
  color: #555;
}

.result-item__author strong,
.result-item__year strong,
.result-item__specialization strong,
.result-item__language strong {
  color: #333;
}

.result-item__image {

  display: block;
  margin: 15px 0;
  border-radius: 4px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  max-width: 180px;
  max-height: 220px;
}

.result-item__link {
  display: inline-block;
  margin-top: 10px;
  padding: 10px 15px;
  background-color: #0073e6;
  color: #ffffff;
  text-decoration: none;
  border-radius: 4px;
  transition: background-color 0.3s ease;
}

.result-item__link:hover {
  background-color: #005bb5;
}

.no-results {
  font-size: 18px;
  color: #999;
  text-align: center;
  padding: 20px;
  background: #fff3f3;
  border: 1px solid #e0e0e0;
  border-radius: 8px;
}

/*  */
.form {
  display: flex;
  flex-direction: column;
  width: 500px;
  gap: 20px;
}

.form__wrapper {
  display: flex;
  align-items: center;
  justify-content: center;
  min-height: 100vh;
}

.form__item {
  display: flex;
  flex-direction: column;
}

.form__label {
  font-size: 14px;
}

.form__input {
  padding: 10px;
  margin: 10px 0px;
  box-shadow: 1px 1px 10px 2px #c0bfbf;
  border-radius: 5px;
  font-size: 15px;
}

.form__button {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  min-height: 40px;
  padding: 10px 20px;
  background: #fefefe;
  border-radius: 5px;
  font-weight: 700;
  font-size: 20px;
  line-height: 1.5em;
  text-align: center;
  transition: all 0.3s ease 0s;
}

.form__button:hover {
  transition: all 0.3s ease 0s;
  background: #ff6633;
}

.form__text {
  font-size: 15px;
  text-align: center;
}

.form__link {
  color: #ff6633;
}

.form__link:hover {
  text-decoration: underline;
}

.form__error {
  padding: 7.5px 10px;
  color: red;
}